%global momorel 3
%global qtdir %{_libdir}/qt3
%global qtver 3.3.4
%global kdedir /usr
%global kdever 3.4.0
%global kdelibsrel 1m
%global ftpdirver 3.4
%global sourcedir stable/%{ftpdirver}/src

Name: kdegraphics
Summary: K Desktop Environment - Graphics Applications
Version: %{kdever}
Release: %{momorel}m
Group: Applications/Multimedia
License: GPL
URL: http://www.kde.org/
%NoSource 0 ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 5a0a32e314422e2ce051290c08390367
# mirror site in Japan.
#%%NoSource 0 ftp://ftp.kde.gr.jp/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 5a0a32e314422e2ce051290c08390367
Patch0: kdegraphics-3.3.1-xorg.patch
Patch1: %{name}-%{version}-nokdelibsuff.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdebase >= %{kdever}
Requires: sane-backends >= 1.0.5, gphoto2
BuildPrereq: qt-devel >= %{qtver}, kdelibs-devel >= %{kdever}, kdebase >= %{kdever}
BuildPrereq: libpng >= 1.2.0
BuildPrereq: fam-devel
BuildPrereq: sane-backends-devel >= 1.0.5
BuildPreReq: autoconf >= 2.56-3m 
BuildPreReq: perl 
BuildPreReq: coreutils >= 5.0-1m
BuildPreReq: libusb-devel 
BuildPreReq: gphoto2 
BuildPreReq: glut-devel
BuildPreReq: fribidi-devel lcms-devel
BuildPreReq: gcc-c++ >= 3.4.1-2m
ExcludeArch: ia64

%description
Graphics applications for the K Desktop Environment, including

  kdvi, displays TeX .dvi files
  kfax, displays faxfiles
  kghostview, displays postscript files
  kcoloredit, palette editor and color chooser
  kamera, digital camera support
  kiconedit, icon editor
  kolourpaint, a easy-to-use paint program
  ksnapshot, screen capture utility
  kview, image viewer for GIF, JPEG, TIFF, etc.
  kuickshow, quick picture viewer
  kooka, scanner application
  kruler, screen ruler and color measurement tool
  ...etc.

%prep
%setup -q

%patch0 -p1 -b .xorg
%patch1 -p1 -b .nokdelibsuff

# workaround for automake/autoconf version
perl -p -i -e "s|KDE_AUTOCONF_VERS=\"|KDE_AUTOCONF_VERS=\"-2.59 |g" admin/detect-autoconf.sh
perl -p -i -e "s|KDE_AUTOMAKE_VERS=\"|KDE_AUTOMAKE_VERS=\"-1.9|g" admin/detect-autoconf.sh

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir}

export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags} -fno-use-cxa-atexit"

./configure \
	--prefix=%{_prefix} \
	--sysconfdir=%{_sysconfdir} \
	--libdir=%{_libdir} \
	--with-kamera \
	--with-xinerama \
	--disable-debug \
	--enable-final

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

make DESTDIR=%{buildroot} install

cd %{buildroot}%{_docdir}/HTML/en
for i in *; do
	if [ -d $i -a -L $i/common ]; then
		rm -f $i/common
		ln -sf ../common $i
	fi
done

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/*
%{_libdir}/kde3/*.la
%{_libdir}/kde3/*.so
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/*.so.??*
%{_datadir}/applications/kde/*.desktop
%{_datadir}/applnk/Graphics/*.desktop
%{_datadir}/apps/kcoloredit
%{_datadir}/apps/kconf_update/*
%{_datadir}/apps/kdvi
%{_datadir}/apps/kfax
%{_datadir}/apps/kgamma
%{_datadir}/apps/kghostview
%{_datadir}/apps/kiconedit
%{_datadir}/apps/kolourpaint
%{_datadir}/apps/konqueror/servicemenus/*.desktop
%{_datadir}/apps/kooka
%{_datadir}/apps/kpdf
%{_datadir}/apps/kpdfpart
%{_datadir}/apps/kpovmodeler
%{_datadir}/apps/kruler
%{_datadir}/apps/ksvg/ksvgplugin.rc
%{_datadir}/apps/kuickshow
%{_datadir}/apps/kview
%{_datadir}/apps/kviewerpart
%{_datadir}/apps/kviewshell
%{_datadir}/apps/kviewviewer
%{_datadir}/apps/photobookui.rc
%{_datadir}/config/*rc
%{_datadir}/config.kcfg/*.kcfg
%{_datadir}/doc/HTML/en/kamera
%{_datadir}/doc/HTML/en/kcoloredit
%{_datadir}/doc/HTML/en/kdvi
%{_datadir}/doc/HTML/en/kgamma
%{_datadir}/doc/HTML/en/kghostview
%{_datadir}/doc/HTML/en/kiconedit
%{_datadir}/doc/HTML/en/kolourpaint
%{_datadir}/doc/HTML/en/kooka
%{_datadir}/doc/HTML/en/kpdf
%{_datadir}/doc/HTML/en/kpovmodeler
%{_datadir}/doc/HTML/en/kruler
%{_datadir}/doc/HTML/en/ksnapshot
%{_datadir}/doc/HTML/en/kuickshow
%{_datadir}/doc/HTML/en/kview
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/icons/*/*/*/*.svgz
%{_datadir}/mimelnk/text/*.desktop
%{_datadir}/services/*/*.desktop
%{_datadir}/services/*.desktop
%{_datadir}/services/*.protocol
%{_datadir}/servicetypes/*.desktop

%{_includedir}/dom/*.h
%{_includedir}/ksvg
%{_includedir}/libtext2path-0.1
%{_includedir}/*.h
%{_libdir}/*.so.?

%changelog
* Fri Apr 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.0-3m)
- modify %%files section

* Tue Mar 29 2005 Toru Hoshina <t@momonga-linux.org>
- (3.4.0-2m)
- kdelibsuff doesn't need to be applied with {_libdir}/qt3/lib.

* Mon Mar 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.0-1m)
- update to KDE 3.4.0
- remove old patches
- BuildPreReq: kdebase

* Wed Feb 16 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.2-3m)
- [SECURITY] post-3.3.2-kdegraphics.diff for "kpdf Buffer Overflow Vulnerability"
  http://kde.org/info/security/advisory-20041223-1.txt
- [SECURITY] post-3.3.2-kdegraphics-3.diff for "kpdf Buffer Overflow Vulnerability"
  http://kde.org/info/security/advisory-20050119-1.txt
- import patches from Fedora Core
 - kdegraphics-3.3.1-xorg.patch
  +* Fri Nov 19 2004 Than Ngo <than@redhat.com> 7:3.3.1-4
  +- fix xf86gammacfg to work with xorg.conf
 - kdegraphics-3.3.2-immodule.patch
  +* Sat Feb 12 2005 Than Ngo <than@redhat.com> 7:3.3.2-0.4 
  +- backport from CVS for working with qt-immodule

* Wed Feb  2 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.3.2-2m)
- enable x86_64.

* Mon Dec 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.2-1m)
- update to KDE 3.3.2
 
* Fri Oct 29 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.1-2m)
- security fix 
- - KDE Security Advisory: kpdf integer overflows
    (http://www.kde.org/info/security/advisory-20041021-1.txt)

* Mon Oct 18 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.1-1m)
- update to KDE 3.3.1
 
* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (3.3.0-2m)
- rebuild against kdelibs-3.3.0-3m (libstdc++-3.4.1)
- modify CXXFLAGS

* Fri Sep 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.0-1m)
- KDE 3.3.0

* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3
- Bugfix Release
 
* Sat Apr 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3

* Wed Mar 24 2004 Toru Hoshina <t@momonga-linux.org>
- (3.2.1-2m)
- revised spec for rpm 4.2

* Sat Mar 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.1-1m)
- KDE 3.2.1 Release

* Sat Feb 14 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.0-1m)
- KDE 3.2.0
- modified %%files (many new files)
- add --xinerama to ./configure

* Thu Jan 15 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.1.5-1m)
- update to 3.1.5

 * Sat Dec 27 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-4m)
- rebuild against for qt-3.2.3

* Tue Dec 4 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-3m)
- buildprereq gphoto2

* Sat Nov 8 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-2m)
- rebuild against for qt-3.2.3

* Thu Sep 25 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-1m)
- update to 3.1.4

* Wed Aug 13 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.3-1m)
- update to 3.1.3

* Wed Aug 6 2003 Yuya Yamaguchi <bebe@hepo.jp>
- (3.1.2-3m)
- rebuild against libexif-0.5.12

* Sun Jun 15 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-2m)
- remove --disable-warnings from configure

* Mon May 26 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-1m)
- update to 3.1.2
- changes are:
     kghostview: Better handling of half-broken Postscript and PDF files [#44855]
     kghostview: Fix the opening of files on the command line, which was not working if the paths contained non-alphanumeric characters or were absolute paths [#56169 and #51533]
     kghostview: Work around -dMaxBitmap bug in gs version 6.5x [#37287]
     kghostview: Reset orientation and paper size selectors after opening a new document [#51014]
     kghostview: Security fix for #56808. The security patch which was present in version 3.1.1a caused problems for some users and has been corrected [#57441]
     kghostview: ghostscript version 8 is now supported [#53343]
- delete export _POSIX2_VERSION=199209 and add BuildPreReq: coreutils >= 5.0-1m

* Tue May 13 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1a-2m)
- add --disable-warnings to configure
- %%{?smp_mflags} -> %%{?_smp_mflags}

* Fri Apr 11 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (3.1.1a-1m)
  update to 3.1.1a

* Thu Apr 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1.1-3m)
- remove requires: qt-Xt
                                                                                
* Sun Mar 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1.1-2m)
- rebuild against for XFree86-4.3.0

* Fri Mar 21 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-1m)
- update to 3.1.1
    KIconEdit: Fix the ellipse/circle tool not to leave any "holes" in the drawings
    Kooka: Some UI crashes fixed
    KViewShell: Default paper size is fixed
    KGhostView: Fixed wheel-mouse scrolling

* Wed Mar 12 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.1-3m)
- add URL tag

* Wed Feb 26 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1-2m)
- add REMOVE.PLEASE

* Sun Feb  5 2003 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.1-1m)
- version up.

* Sun Jan 12 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.5a-1m)
- ver up.

* Wed Dec 11 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.0.4-2m)
- use autoconf-2.53

* Fri Oct 11 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.4-1m)
- ver up.

* Mon Aug 19 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.3-1m)
- ver up.

* Wed Jul 17 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-2m)
- rebuild against qt-3.0.5.

* Sun Jul 14 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-1m)
- ver up.

* Sun Jun  9 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.1-2k)
- ver up.

* Fri Apr  5 2002 Tsutomu Yasuda <tom@kondara.org>
- (3.0.0-2k)
  update to 3.0 release.

* Thu Mar 21 2002 Toru Hoshina <t@kondara.org>
- (3.0.0-0.0003002k)
- based on 3.0rc3.

* Tue Nov 27 2001 Toru Hoshina <t@kondara.org>
- (2.2.2-2k)
- version up.

* Thu Nov  8 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-10k)
- nigirisugi.
- revised spec file.

* Tue Oct 30 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-8k)
- revised spec file.

* Fri Oct 26 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-6k)
- rebuild against sane-backends-devel 1.0.5

* Mon Oct 15 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-4k)
- rebuild against libpng 1.2.0.

* Thu Oct  4 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-2k)
- version up.

* Wed Aug 22 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-2k)
- stable release.

* Sat Aug 11 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0003002k)
- based on 2.2beta1.

* Fri Jun  1 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0002002k)
- based on 2.2alpha2.

* Sat May 12 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0001002k)

* Fri Mar 30 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (2.1.1-3k)

* Wed Mar 21 2001 Toru Hoshina <toru@df-usa.com>
- (2.1-2k)

* Fri Mar 16 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.0.1-12k)
- rebuild against QT-2.3.0.

* Sat Jan 13 2001 Kenichi Matsubara <m@kondara.org>
- [2.0.1-10k]
- backport 2.0.1-10k(Jirai).

* Fri Jan 05 2001 Kenichi Matsubara <m@kondara.org>
- [2.0.1-8k]
- backport 2.0.1-9k(Jirai).

* Fri Jan 05 2001 Kenichi Matsubara <m@kondara.org>
- [2.0.1-9k]
- rebuild against.

* Thu Dec 14 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-7k]
- rebuild against qt-2.2.3.

* Mon Dec 11 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-5k]
- change GIF Support switch tag.
- (Vendor to Option)

* Fri Dec 08 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-3k]
- update to 2.0.1.

* Tue Nov 21 2000 Kenichi Matsubara <m@kondara.org>
- [2.0-4k]
- rebuild against new environment glibc-2.2 egcs++

* Fri Nov 17 2000 Toru Hoshina <toru@df-usa.com>
- [2.0-3k]
- rebuild against qt 2.2.2.

* Sat Nov 04 2000 Kenichi Matsubara <m@kondara.org>
- [2.0-1k]
- add GIF Support switch.
- release.

* Fri Oct 20 2000 Kenichi Matsubara <m@kondara.org>
- [2.0rc2-0.2k]
- modified Requires,BuildPrereq.

* Thu Oct 12 2000 Kenichi Matsubara <m@kondara.org>
- [2.0rc2-0.1k]
- update 2.0rc2.

* Tue Oct 10 2000 Kenichi Matsubara <m@kondara.org>
- rebuild against Qt-2.2.1.

* Tue Sep 26 2000 Kenichi Matsubara <m@kondara.org>
- update 1.94.

* Tue Aug 08 2000 Toru Hoshina <t@kondara.org>
- rebuild against gcc-2.96-0.6k.

* Sun Jul 30 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc 2.1.91, gcc 2.96.

* Tue Jun 20 2000 Kenichi Matsubara <m@kondara.org>
- initial release Kondara MNU/Linux.
